
/* SMARTctl.h - IDE S.M.A.R.T Infomation Control Header */

#ifndef	__SMARTCTL_H_INCLUDED
#define	__SMARTCTL_H_INCLUDED

#define	SMARTERR_NOERR		0
#define	SMARTERR_IOERR		-1
#define	SMARTERR_BADSUM		-2
#define	SMARTERR_INTERNAL	-9999

#define	SMARTCTL_INFO_MAX	30

#define	SMART_DATASECT_SIZE	512

typedef struct _s_smartdatainfo {
	unsigned char 	id;
	unsigned char 	value;
	unsigned char 	threshold;
	unsigned char 	worst;
	unsigned short 	status;
	unsigned long	reserved;
} SMARTDATA_t;

typedef	struct _s_smartinfo {
	unsigned short	revision;			/* S.M.A.R.T revision 	*/
	unsigned short	datacount;			/* S.M.A.R.T data-count */
	SMARTDATA_t	data[SMARTCTL_INFO_MAX];	/* S.M.A.R.T data     	*/
	unsigned short	capability;			/* S.M.A.R.T capability	*/
} SMARTINFO_t;

int SMART_read(int fd,SMARTINFO_t *pSMARTinfo);

#endif /* __SMARTCTL_H_INCLUDED */

